[**@rxap/remote-method v19.1.0-dev.0**](../README.md)

***

[@rxap/remote-method](../globals.md) / RemoteMethodLoader

# Class: RemoteMethodLoader

Defined in: [packages/angular/remote-method/src/lib/remote-method-loader.ts:16](https://gitlab.com/rxap/packages/-/blob/1afa8d98c437ac0b6d25f531bc7a9e218f27193a/packages/angular/remote-method/src/lib/remote-method-loader.ts#L16)

## Extends

- `DefinitionLoader`

## Constructors

### new RemoteMethodLoader()

> **new RemoteMethodLoader**(`injector`): [`RemoteMethodLoader`](RemoteMethodLoader.md)

Defined in: [packages/angular/definition/src/lib/definition.loader.ts:15](https://gitlab.com/rxap/packages/-/blob/1afa8d98c437ac0b6d25f531bc7a9e218f27193a/packages/angular/definition/src/lib/definition.loader.ts#L15)

#### Parameters

##### injector

`Injector`

#### Returns

[`RemoteMethodLoader`](RemoteMethodLoader.md)

#### Inherited from

`DefinitionLoader.constructor`

## Methods

### call$()

> **call$**\<`ReturnType`, `Parameters`, `Metadata`\>(`remoteMethodIdOrInstanceOrToken`, `parameters`, `metadata`?, `injector`?, `notFoundValue`?, `flags`?): `Promise`\<`ReturnType`\>

Defined in: [packages/angular/remote-method/src/lib/remote-method-loader.ts:18](https://gitlab.com/rxap/packages/-/blob/1afa8d98c437ac0b6d25f531bc7a9e218f27193a/packages/angular/remote-method/src/lib/remote-method-loader.ts#L18)

#### Type Parameters

• **ReturnType** = `any`

• **Parameters** = `any`

• **Metadata** *extends* [`BaseRemoteMethodMetadata`](../interfaces/BaseRemoteMethodMetadata.md) = [`BaseRemoteMethodMetadata`](../interfaces/BaseRemoteMethodMetadata.md)

#### Parameters

##### remoteMethodIdOrInstanceOrToken

`IdOrInstanceOrToken`\<[`BaseRemoteMethod`](BaseRemoteMethod.md)\<`ReturnType`, `Parameters`, `Metadata`\>\>

##### parameters

`Parameters`

##### metadata?

`Partial`\<[`BaseRemoteMethodMetadata`](../interfaces/BaseRemoteMethodMetadata.md)\>

##### injector?

`Injector`

##### notFoundValue?

[`BaseRemoteMethod`](BaseRemoteMethod.md)\<`ReturnType`, `Parameters`, `Metadata`\>

##### flags?

`InjectFlags`

#### Returns

`Promise`\<`ReturnType`\>

***

### load()

> **load**\<`Definition`\>(`definitionIdOrInstanceOrInjectionToken`, `metadata`?, `injector`?, `notFoundValue`?, `flags`?): `Definition`

Defined in: [packages/angular/definition/src/lib/definition.loader.ts:21](https://gitlab.com/rxap/packages/-/blob/1afa8d98c437ac0b6d25f531bc7a9e218f27193a/packages/angular/definition/src/lib/definition.loader.ts#L21)

#### Type Parameters

• **Definition** *extends* `BaseDefinition`\<`BaseDefinitionMetadata`\>

#### Parameters

##### definitionIdOrInstanceOrInjectionToken

`IdOrInstanceOrToken`\<`Definition`\>

##### metadata?

`Partial`\<`BaseDefinitionMetadata`\>

##### injector?

`Injector` = `...`

##### notFoundValue?

`Definition`

##### flags?

`InjectFlags`

#### Returns

`Definition`

#### Inherited from

`DefinitionLoader.load`
